\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{um2020}[2020/02/01 Uncertainty Modelling 2020 Abstract Template]

\LoadClass[b5paper,twoside]{article}

\RequirePackage[utf8]{inputenc}
\RequirePackage[english]{babel}
\RequirePackage[b5paper,left=2.5cm,right=1.5cm,top=2cm,bottom=2cm]{geometry}
\RequirePackage{amsmath,amsfonts,amssymb}

\setlength{\parindent}{0pt}
\setlength{\parskip}{5pt}

\newcommand{\inst}[1]{\footnote{#1}}
\newcommand{\bibliofont}{\scriptsize}

\renewcommand{\and}{\null\quad$\cdot$\quad\null}
\renewcommand{\And}{\\[3pt]}
\renewcommand{\title}[1]{\begin{center}\Large\bf{#1}\end{center}}
\renewcommand{\author}[1]{\begin{center}{#1}\end{center}}
\renewcommand{\abstract}[1]{\null\vspace{0.25cm}#1}

\newenvironment{acknowledgement}[1]{\null\vspace{0.25cm}\textbf{Acknowledgement.} \\ #1}{}

\let\oldthebibliography\thebibliography
\let\endoldthebibliography\endthebibliography
\renewenvironment{thebibliography}[1]{
  \begin{oldthebibliography}{#1}
    \small
    \setlength{\itemsep}{0pt}
    \setlength{\parskip}{2pt}
}
{
  \end{oldthebibliography}
}